/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_VIEW_BASE_H__
#define __AIR_MEDIAHUB_VIEW_BASE_H__

/* view */
#define VIEW_BASE "VIEW_BASE"

/* group */
#define GRP_BASE_VIEW "group.base_view"
#define GRP_LIST_ITEM "group.list_item"

/* part */
#define PART_TITLE "part.title"
#define PART_MENU_AREA "part.menu_area"
#define PART_THUMBNAIL_AREA "part.thumbnail_area"
#define PART_VIEW_MODE "part.view_mode"
#define PART_CONTENT_INFO "part.content_info"

#define PART_ITEM_TITLE "part.item_title"
#define PART_ITEM_CONTENT "part.item_content"

/* images */
#define IMAGE_PREVIEW_PLAY "ic_preview_play.png"
#define IMAGE_THUMBNAIL_PICTURE "ic_thumbnail_picture.png"
#define IMAGE_THUMBNAIL_SONG "ic_thumbnail_song.png"
#define IMAGE_THUMBNAIL_PLAY IMAGEDIR"/ic_thumbnail_play.png"
#define IMAGE_THUMBNAIL_FAVORITE IMAGEDIR"/ic_thumbnail_favorite.png"
#define IMAGE_PLAY_INFO_FAVORITE "ic_title_favorite.png"
#define IMAGE_ARROW_UP_NOR "btn_option_arrow_nor.png"
#define IMAGE_ARROW_UP_FOC "btn_option_arrow_foc_up.png"
#define IMAGE_ARROW_UP_SEL "btn_option_arrow_sel.png"
#define IMAGE_ARROW_UP_DIS "btn_option_arrow_dis.png"

/* style */
#define STYLE_BTN_MENU "base_btn_menu"
#define STYLE_BTN_INDEX "base_btn_index"
#define STYLE_BTN_VIEW_MODE "base_btn_view_mode"
#define STYLE_BTN_VIEW_OPTION "base_btn_view_option"
#define STYLE_BASE_PROGRESS "base_recent_progress"
#define STYLE_CTXPOPUP_VIEW_MODE "base_ctxpopup_view_mode"

#endif /* __AIR_MEDIAHUB_VIEW_BASE_H__ */
